Index: LMDZ5/branches/testing/libf/phylmd/ocean_slab_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/ocean_slab_mod.F90	(revision 2274)
+++ LMDZ5/branches/testing/libf/phylmd/ocean_slab_mod.F90	(revision 2298)
@@ -216,8 +216,8 @@
   SUBROUTINE ocean_slab_noice( & 
        itime, dtime, jour, knon, knindex, &
-       p1lay, cdragh, cdragm, precip_rain, precip_snow, temp_air, spechum, &
+       p1lay, cdragh, cdragq, cdragm, precip_rain, precip_snow, temp_air, spechum, &
        AcoefH, AcoefQ, BcoefH, BcoefQ, &
        AcoefU, AcoefV, BcoefU, BcoefV, &
-       ps, u1, v1, tsurf_in, &
+       ps, u1, v1, gustiness, tsurf_in, &
        radsol, snow, &
        qsurf, evap, fluxsens, fluxlat, flux_u1, flux_v1, &
@@ -227,4 +227,5 @@
 
     INCLUDE "iniprint.h"
+    INCLUDE "clesphys.h"
 
 ! Input arguments
@@ -236,5 +237,5 @@
     REAL, INTENT(IN)                     :: dtime
     REAL, DIMENSION(klon), INTENT(IN)    :: p1lay
-    REAL, DIMENSION(klon), INTENT(IN)    :: cdragh, cdragm
+    REAL, DIMENSION(klon), INTENT(IN)    :: cdragh, cdragq, cdragm
     REAL, DIMENSION(klon), INTENT(IN)    :: precip_rain, precip_snow
     REAL, DIMENSION(klon), INTENT(IN)    :: temp_air, spechum
@@ -242,5 +243,5 @@
     REAL, DIMENSION(klon), INTENT(IN)    :: AcoefU, AcoefV, BcoefU, BcoefV
     REAL, DIMENSION(klon), INTENT(IN)    :: ps
-    REAL, DIMENSION(klon), INTENT(IN)    :: u1, v1
+    REAL, DIMENSION(klon), INTENT(IN)    :: u1, v1, gustiness
     REAL, DIMENSION(klon), INTENT(IN)    :: tsurf_in
     REAL, DIMENSION(klon), INTENT(INOUT) :: radsol
@@ -287,13 +288,13 @@
 
     CALL calcul_fluxs(knon, is_oce, dtime, &
-         tsurf_in, p1lay, cal, beta, cdragh, ps, &
+         tsurf_in, p1lay, cal, beta, cdragh, cdragq, ps, &
          precip_rain, precip_snow, snow, qsurf,  &
-         radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, &
-         AcoefH, AcoefQ, BcoefH, BcoefQ, &
+         radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, gustiness, &
+         f_qsat_oce,AcoefH, AcoefQ, BcoefH, BcoefQ, &
          tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l)
 
 ! - Flux calculation at first modele level for U and V
     CALL calcul_flux_wind(knon, dtime, &
-         u0, v0, u1, v1, cdragm, &
+         u0, v0, u1, v1, gustiness, cdragm, &
          AcoefU, AcoefV, BcoefU, BcoefV, &
          p1lay, temp_air, &
@@ -398,5 +399,5 @@
        AcoefH, AcoefQ, BcoefH, BcoefQ, &
        AcoefU, AcoefV, BcoefU, BcoefV, &
-       ps, u1, v1, &
+       ps, u1, v1, gustiness, &
        radsol, snow, qsurf, qsol, agesno, &
        alb1_new, alb2_new, evap, fluxsens, fluxlat, flux_u1, flux_v1, &
@@ -406,4 +407,5 @@
 
    INCLUDE "YOMCST.h"
+   INCLUDE "clesphys.h"
 
 ! Input arguments
@@ -420,5 +422,5 @@
     REAL, DIMENSION(klon), INTENT(IN)    :: AcoefU, AcoefV, BcoefU, BcoefV
     REAL, DIMENSION(klon), INTENT(IN)    :: ps
-    REAL, DIMENSION(klon), INTENT(IN)    :: u1, v1
+    REAL, DIMENSION(klon), INTENT(IN)    :: u1, v1, gustiness
     REAL, DIMENSION(klon), INTENT(IN)    :: swnet
 
@@ -498,8 +500,8 @@
 ! calcul_fluxs (sens, lat etc)
     CALL calcul_fluxs(knon, is_sic, dtime, &
-        tsurf_in, p1lay, cal, beta, cdragh, ps, &
+        tsurf_in, p1lay, cal, beta, cdragh, cdragh, ps, &
         precip_rain, precip_snow, snow, qsurf,  &
-        radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, &
-        AcoefH, AcoefQ, BcoefH, BcoefQ, &
+        radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, gustiness, &
+        f_qsat_oce,AcoefH, AcoefQ, BcoefH, BcoefQ, &
         tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l)
     DO i=1,knon 
@@ -509,5 +511,5 @@
 ! calcul_flux_wind
     CALL calcul_flux_wind(knon, dtime, &
-         u0, v0, u1, v1, cdragm, &
+         u0, v0, u1, v1, gustiness, cdragm, &
          AcoefU, AcoefV, BcoefU, BcoefV, &
          p1lay, temp_air, &
